petsc-3.6.2 2015-10-02
Report Typos and Errors

# ISSetType

Builds a index set, for a particular implementation.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISSetType(IS is, ISType method)

Collective on IS

### Input Parameters

| is | - The index set object
| method | - The name of the index set type

### Options Database Key

-is_type <type> -Sets the index set type; use -help for a list of available types

### Notes

See "petsc/include/petscis.h" for available istor types (for instance, ISGENERAL, ISSTRIDE, or ISBLOCK).

Use ISDuplicate() to make a duplicate

### See Also

ISGetType(), ISCreate()

Level:intermediate
Location:src/vec/is/is/interface/isreg.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages